Top

PrimeFaces 6.1.1 Released

PrimeFaces 6.1.1 Released

PrimeFaces 6.1.1 is now available featuring important security updates and update to jQuery 2.2.4.

Security Update

We are unable to go into the details however an important fix for security has been included so if you are on 6.1 we strongly suggest updating to 6.1.1 and for users on 6.0, 6.0.19 is the suggested version.

Vulnerable jQuery

The jQuery version of PrimeFaces was 1.11.3 which has known vulnerabilities, as PrimeFaces depends on it, we’ve updated to 2.2.4 to benefit from the fixes the jQuery team had done. This has one downside which is dropping support for Internet Explorer 8.

TreeTable Filtering

Similar to DataTable, filtering is now also supported by TreeTable.

New Features and Enhancements

Defect Fixes

Download

6.1.1 Elite is available at PrimeStore.

Share
17 Comments
  • rene
    18 May 2017 at 10:53

    I can see a primefaces-6.1.1.zip in the elite category “other”. Try to download results in a error “Something went wrong with your request.”

    • Mustafa Çataltepe
      18 May 2017 at 11:09

      download url is bad you can check what other versions and get the download yourself but url need to fixed nonetheless.

    • Jason
      18 May 2017 at 11:15

      Fixed.

      • rene
        18 May 2017 at 11:42

        Yes I can download now. Thx.

  • Akbar
    18 May 2017 at 10:54

    Dropped support for only IE8 or IE8 & below versions?

  • Adem
    18 May 2017 at 11:08

    We are still using PF Version 5.3.16. Further investigation showed, that this PF Version also depends on jQuery 1.11.3.
    Can you confirm, that PF Versions earlier 6.0 are also affected by this issue.

    Thanks

  • Ali sghaier
    18 May 2017 at 11:45

    good morning, i don’t find in maven central version 6.0.19 (and in the section download too)

  • Andrei
    18 May 2017 at 12:14

    I think a big warning sign should be put for the users of 6.0.0 and 6.1.0, on the download page, that those versions should not be used unless you really want to expose yourself to a big security issue.

  • Stuart
    18 May 2017 at 12:35

    I assume we need to build this tag: https://github.com/primefaces/primefaces/tree/6_1

  • Melloware
    18 May 2017 at 15:23

    @Optimus Prime can you please update the PrimeFaces Extensions showcase with the war I sent you? The PF Extensions showcase is still showing the old 6.0 version.

  • Jonah
    18 May 2017 at 17:36

    So only elite users can get the update that fixes a critical security issue? Am I wrong in thinking everyone should get this?